should not remove ecryptfs-utils when in use

Bug #361627 reported by Martin Pitt on 2009-04-15
98
This bug affects 6 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Medium
Colin Watson
user-setup (Ubuntu)
Medium
Colin Watson

Bug Description

Binary package hint: ubiquity

I installed today's image (2009-04-15, amd64, Ubuntu) on my desktop, with manual partitioning. I re-used my existing /home, which uses ecryptfs for two users.

ubiquity tried to remove ecryptfs-utils, which failed:

Apr 15 10:05:49 ubuntu ubiquity: Entferne ecryptfs-utils ...
Apr 15 10:05:50 ubuntu ubiquity: ERROR: Cannot remove ecryptfs-utils, as it appears to be in use:
Apr 15 10:05:50 ubuntu ubiquity: [/home/joe/.ecryptfs]
Apr 15 10:05:53 ubuntu ubiquity: dpkg: Fehler beim Bearbeiten von ecryptfs-utils (--purge):
Apr 15 10:05:53 ubuntu ubiquity: Unterprozess pre-removal script gab den Fehlerwert 1 zurück

But even after failure, it removed its dependencies, which left the installed system in a broken state:

Apr 15 10:06:01 ubuntu ubiquity: dpkg: libecryptfs0: Abhängigkeitsprobleme, aber entferne es auf Anfrage dennoch:
Apr 15 10:06:01 ubuntu ubiquity: ecryptfs-utils hängt ab von libecryptfs0 (>= 48).
Apr 15 10:06:01 ubuntu ubiquity: Entferne libecryptfs0 ...
Apr 15 10:06:01 ubuntu ubiquity: Lösche Konfigurationsdateien von libecryptfs0 ...
Apr 15 10:06:01 ubuntu ubiquity: dpkg: keyutils: Abhängigkeitsprobleme, aber entferne es auf Anfrage dennoch:
Apr 15 10:06:01 ubuntu ubiquity: ecryptfs-utils hängt ab von keyutils; aber:
Apr 15 10:06:01 ubuntu ubiquity: Paket keyutils soll entfernt werden.
Apr 15 10:06:01 ubuntu ubiquity: Entferne keyutils ...
Apr 15 10:06:02 ubuntu ubiquity: Lösche Konfigurationsdateien von keyutils ...

Thus now I still had ecryptfs-utils installed, but keyutils and libecryptfs0 were gone, which meant that I could not log in.

In the installation log I also noticed several lines like

  Apr 15 09:50:55 ubuntu python: Not copying usr/lib/libecryptfs.so.0.0.0

Does that mean it suppresses the copying of ecryptfs stuff at all?

Colin Watson (cjwatson) on 2009-04-15
affects: ubiquity (Ubuntu) → user-setup (Ubuntu)
Colin Watson (cjwatson) on 2009-04-15
Changed in user-setup (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-setup - 1.23ubuntu19

---------------
user-setup (1.23ubuntu19) jaunty; urgency=low

  * Install ecryptfs-utils if it's already in use by users on an existing
    /home (LP: #361627).

 -- Colin Watson <email address hidden> Wed, 15 Apr 2009 12:29:32 +0100

Changed in user-setup (Ubuntu):
status: Fix Committed → Fix Released
Dustin Kirkland  (kirkland) wrote :

Re-opening this bug, as it's not quite fixed in Jaunty.

<cjwatson> oh, bah, I see the problem; /target isn't mounted yet when the code runs in which I added this logic

As such, this is going to need to be a release note for Jaunty.

 * Ubuntu 8.10 (Intrepid) users with existing encrypted-private setups are advised to use update-manager when upgrading to Ubuntu 9.04 (Jaunty), rather than the LiveCD.

:-Dustin

Changed in user-setup (Ubuntu):
status: Fix Released → Triaged
Dustin Kirkland  (kirkland) wrote :

I added the following to the release notes at:
 * https://wiki.ubuntu.com/JauntyJackalope/ReleaseNotes

== Upgrades from 8.10 Users with Encrypted Private Directories ==

Users of 8.10 with Encrypted Private Directories should '''not''' use the LiveCD to do the upgrade. These users '''will experience''' Bug:361627. These users should use [[http://www.ubuntu.com/getubuntu/upgrading|update-manager to perform a network upgrade]].

:-Dustin

Colin Watson (cjwatson) wrote :

I think the ordering is such that we can only really fix the rest of this in ubiquity.

affects: user-setup (Ubuntu) → ubiquity (Ubuntu)
Colin Watson (cjwatson) on 2009-06-17
Changed in user-setup (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Fix Released
Changed in ubiquity (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.13.5

---------------
ubiquity (1.13.5) karmic; urgency=low

  * Factor out /etc/casper.conf parsing from ubiquity-dm to a separate
    Python module, with a few corner-case bugs fixed along the way.
  * Honour LIVE_MEDIA_PATH in /etc/casper.conf when looking for files
    normally found under /cdrom/casper.
  * Keep ecryptfs-utils installed if it's already in use by users on an
    existing /home (LP: #361627). This duplicates code from user-setup, but
    necessarily so since /target isn't yet mounted when user-setup-ask runs
    in ubiquity.
  * GTK frontend:
    - Remove support for old timezone map.
    - Use a D-Bus call to gnome-session rather than the old gdm-signal code
      we copied from powermanagement-interface. We need to depend on
      python-dbus for this, but on the upside ubiquity-frontend-gtk becomes
      architecture-independent.
  * Automatic update of included source packages: apt-setup 1:0.41ubuntu1,
    base-installer 1.101ubuntu2, choose-mirror 2.29ubuntu1, clock-setup
    0.98ubuntu1, debian-installer-utils 1.69ubuntu1, grub-installer
    1.38ubuntu1, localechooser 2.12ubuntu2, partconf 1.31, partman-auto
    86ubuntu1, partman-base 131ubuntu1, partman-basicfilesystems 63ubuntu1,
    partman-basicmethods 43, partman-efi 20ubuntu1, partman- ext3 58ubuntu1,
    partman-jfs 30, partman-partitioning 68ubuntu1, partman-reiserfs 45,
    partman-target 60ubuntu1, partman-xfs 44, preseed 1.42ubuntu1,
    silo-installer 1.16ubuntu1, tzsetup 1:0.25ubuntu1, user-setup
    1.27ubuntu1, yaboot-installer 1.1.15ubuntu1.

 -- Colin Watson <email address hidden> Fri, 26 Jun 2009 05:58:13 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers